<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>investment-oficial documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">investment-oficial documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>HomeComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/core/home/home.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>

    <p class="comment">
        <h3>Example</h3>
    </p>
    <div class="io-description">
    </div>

<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>









            <tr>
                <td class="col-md-3">providers</td>
                <td class="col-md-9">
                            <code>{
    provide: STEPPER_GLOBAL_OPTIONS, useValue: { showError: true }
}</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-home</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./home.component.css</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./home.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#arrayFlujoForm">arrayFlujoForm</a>
                            </li>
                            <li>
                                <a href="#dataFormFirst">dataFormFirst</a>
                            </li>
                            <li>
                                <a href="#dataFormSecond">dataFormSecond</a>
                            </li>
                            <li>
                                <a href="#flujoNetoForm">flujoNetoForm</a>
                            </li>
                            <li>
                                <a href="#hiddenEsceFirst">hiddenEsceFirst</a>
                            </li>
                            <li>
                                <a href="#hiddenEsceSecond">hiddenEsceSecond</a>
                            </li>
                            <li>
                                <a href="#id_user">id_user</a>
                            </li>
                            <li>
                                <a href="#idProy">idProy</a>
                            </li>
                            <li>
                                <a href="#inflacionForm">inflacionForm</a>
                            </li>
                            <li>
                                <a href="#inputs">inputs</a>
                            </li>
                            <li>
                                <a href="#investForm">investForm</a>
                            </li>
                            <li>
                                <a href="#objects">objects</a>
                            </li>
                            <li>
                                <a href="#options">options</a>
                            </li>
                            <li>
                                <a href="#proyectForm">proyectForm</a>
                            </li>
                            <li>
                                <a href="#select">select</a>
                            </li>
                            <li>
                                <a href="#valorRescateForm">valorRescateForm</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#buildForm">buildForm</a>
                            </li>
                            <li>
                                <a href="#changeEscenary">changeEscenary</a>
                            </li>
                            <li>
                                <a href="#getSelect">getSelect</a>
                            </li>
                            <li>
                                <a href="#getStart">getStart</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                <a href="#saveName">saveName</a>
                            </li>
                            <li>
                                <a href="#startSimulation">startSimulation</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(formBuilder: <a href="https://angular.io/api/forms/FormBuilder" target="_blank">FormBuilder</a>, dataProyectService: <a href="../injectables/DataProyectService.html">DataProyectService</a>, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="66" class="link-to-prism">src/app/core/home/home.component.ts:66</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>formBuilder</td>
                                                  
                                                        <td>
                                                                        <code><a href="https://angular.io/api/forms/FormBuilder" target="_blank" >FormBuilder</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dataProyectService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/DataProyectService.html" target="_self" >DataProyectService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                        <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="buildForm"></a>
                    <span class="name">
                        <b>
                            buildForm
                        </b>
                        <a href="#buildForm"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>buildForm()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="76"
                            class="link-to-prism">src/app/core/home/home.component.ts:76</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="changeEscenary"></a>
                    <span class="name">
                        <b>
                            changeEscenary
                        </b>
                        <a href="#changeEscenary"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>changeEscenary(escenary: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="162"
                            class="link-to-prism">src/app/core/home/home.component.ts:162</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>escenary</td>
                                    <td>
                                                <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getSelect"></a>
                    <span class="name">
                        <b>
                            getSelect
                        </b>
                        <a href="#getSelect"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>getSelect()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="135"
                            class="link-to-prism">src/app/core/home/home.component.ts:135</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getStart"></a>
                    <span class="name">
                        <b>
                            getStart
                        </b>
                        <a href="#getStart"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>getStart(e: <a href="https://angular.io/api/router/Event" target="_blank">Event</a>)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="174"
                            class="link-to-prism">src/app/core/home/home.component.ts:174</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>e</td>
                                    <td>
                                                <code><a href="https://angular.io/api/router/Event" target="_blank" >Event</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <b>
                            ngOnInit
                        </b>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="119"
                            class="link-to-prism">src/app/core/home/home.component.ts:119</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="saveName"></a>
                    <span class="name">
                        <b>
                            saveName
                        </b>
                        <a href="#saveName"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>saveName(e: <a href="https://angular.io/api/router/Event" target="_blank">Event</a>)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="122"
                            class="link-to-prism">src/app/core/home/home.component.ts:122</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>e</td>
                                    <td>
                                                <code><a href="https://angular.io/api/router/Event" target="_blank" >Event</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="startSimulation"></a>
                    <span class="name">
                        <b>
                            startSimulation
                        </b>
                        <a href="#startSimulation"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>startSimulation()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="191"
                            class="link-to-prism">src/app/core/home/home.component.ts:191</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="arrayFlujoForm"></a>
                        <span class="name">
                            <b>
                            arrayFlujoForm</b>
                            <a href="#arrayFlujoForm"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="63" class="link-to-prism">src/app/core/home/home.component.ts:63</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="dataFormFirst"></a>
                        <span class="name">
                            <b>
                            dataFormFirst</b>
                            <a href="#dataFormFirst"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="54" class="link-to-prism">src/app/core/home/home.component.ts:54</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="dataFormSecond"></a>
                        <span class="name">
                            <b>
                            dataFormSecond</b>
                            <a href="#dataFormSecond"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="55" class="link-to-prism">src/app/core/home/home.component.ts:55</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="flujoNetoForm"></a>
                        <span class="name">
                            <b>
                            flujoNetoForm</b>
                            <a href="#flujoNetoForm"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="61" class="link-to-prism">src/app/core/home/home.component.ts:61</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="hiddenEsceFirst"></a>
                        <span class="name">
                            <b>
                            hiddenEsceFirst</b>
                            <a href="#hiddenEsceFirst"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="26" class="link-to-prism">src/app/core/home/home.component.ts:26</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="hiddenEsceSecond"></a>
                        <span class="name">
                            <b>
                            hiddenEsceSecond</b>
                            <a href="#hiddenEsceSecond"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/core/home/home.component.ts:25</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="id_user"></a>
                        <span class="name">
                            <b>
                            id_user</b>
                            <a href="#id_user"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="65" class="link-to-prism">src/app/core/home/home.component.ts:65</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="idProy"></a>
                        <span class="name">
                            <b>
                            idProy</b>
                            <a href="#idProy"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="66" class="link-to-prism">src/app/core/home/home.component.ts:66</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="inflacionForm"></a>
                        <span class="name">
                            <b>
                            inflacionForm</b>
                            <a href="#inflacionForm"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="60" class="link-to-prism">src/app/core/home/home.component.ts:60</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="inputs"></a>
                        <span class="name">
                            <b>
                            inputs</b>
                            <a href="#inputs"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="../interfaces/InputForm.html" target="_self" >InputForm[]</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;act-fijo-pes&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;act-fijo-prob&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;act-fijo-op&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;act-cir-pes&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;act-cir-prob&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;act-cir-op&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;flu-imp-pes&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;flu-imp-pro&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;flu-imp-op&#x27;},
  ]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="29" class="link-to-prism">src/app/core/home/home.component.ts:29</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="investForm"></a>
                        <span class="name">
                            <b>
                            investForm</b>
                            <a href="#investForm"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="58" class="link-to-prism">src/app/core/home/home.component.ts:58</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="objects"></a>
                        <span class="name">
                            <b>
                            objects</b>
                            <a href="#objects"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>Array&lt;any&gt;</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/core/home/home.component.ts:27</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="options"></a>
                        <span class="name">
                            <b>
                            options</b>
                            <a href="#options"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[
    {label: &#x27;1&#x27;, value: &#x27;1&#x27;},
    {label: &#x27;2&#x27;, value: &#x27;2&#x27;},
    {label: &#x27;3&#x27;, value: &#x27;3&#x27;},
    {label: &#x27;4&#x27;, value: &#x27;4&#x27;},
    {label: &#x27;5&#x27;, value: &#x27;5&#x27;},
    {label: &#x27;6&#x27;, value: &#x27;6&#x27;},
    {label: &#x27;7&#x27;, value: &#x27;7&#x27;},
    {label: &#x27;8&#x27;, value: &#x27;6&#x27;},
    {label: &#x27;9&#x27;, value: &#x27;8&#x27;},
    {label: &#x27;10&#x27;, value: &#x27;10&#x27;},
  ]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="40" class="link-to-prism">src/app/core/home/home.component.ts:40</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="proyectForm"></a>
                        <span class="name">
                            <b>
                            proyectForm</b>
                            <a href="#proyectForm"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="53" class="link-to-prism">src/app/core/home/home.component.ts:53</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="select"></a>
                        <span class="name">
                            <b>
                            select</b>
                            <a href="#select"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>&#x27;&#x27;</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="28" class="link-to-prism">src/app/core/home/home.component.ts:28</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="valorRescateForm"></a>
                        <span class="name">
                            <b>
                            valorRescateForm</b>
                            <a href="#valorRescateForm"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="59" class="link-to-prism">src/app/core/home/home.component.ts:59</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &#x27;@angular/core&#x27;;
import { FormControl, FormGroup, FormBuilder, Validators } from &#x27;@angular/forms&#x27;;
import { STEPPER_GLOBAL_OPTIONS } from &#x27;@angular/cdk/stepper&#x27;;
import { DataProyectService } from &#x27;src/app/service/data-proyect.service&#x27;;
import { Router } from &#x27;@angular/router&#x27;;

interface InputForm {
  type: string;
  label: string;
  formControlName: string;
}

/**
 * @title Stepper that displays errors in the steps
 */
@Component({
  selector: &#x27;app-home&#x27;,
  templateUrl: &#x27;./home.component.html&#x27;,
  styleUrls: [&#x27;./home.component.css&#x27;],
  providers: [{
    provide: STEPPER_GLOBAL_OPTIONS, useValue: {showError: true}
  }]
})
export class HomeComponent implements OnInit {
  hiddenEsceSecond &#x3D; false;
  hiddenEsceFirst &#x3D; false;
  objects: Array&lt;any&gt; &#x3D; [];
  select &#x3D; &#x27;&#x27;;
  inputs: InputForm[] &#x3D; [
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;act-fijo-pes&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;act-fijo-prob&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;act-fijo-op&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;act-cir-pes&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;act-cir-prob&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;act-cir-op&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;flu-imp-pes&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;flu-imp-pro&#x27;},
    {type: &#x27;text&#x27;, label: &#x27;($)&#x27;, formControlName: &#x27;flu-imp-op&#x27;},
  ];
  options &#x3D; [
    {label: &#x27;1&#x27;, value: &#x27;1&#x27;},
    {label: &#x27;2&#x27;, value: &#x27;2&#x27;},
    {label: &#x27;3&#x27;, value: &#x27;3&#x27;},
    {label: &#x27;4&#x27;, value: &#x27;4&#x27;},
    {label: &#x27;5&#x27;, value: &#x27;5&#x27;},
    {label: &#x27;6&#x27;, value: &#x27;6&#x27;},
    {label: &#x27;7&#x27;, value: &#x27;7&#x27;},
    {label: &#x27;8&#x27;, value: &#x27;6&#x27;},
    {label: &#x27;9&#x27;, value: &#x27;8&#x27;},
    {label: &#x27;10&#x27;, value: &#x27;10&#x27;},
  ];

  proyectForm: FormGroup;
  dataFormFirst: FormGroup;
  dataFormSecond: FormGroup;


  investForm: FormGroup;
  valorRescateForm: FormGroup;
  inflacionForm: FormGroup;
  flujoNetoForm: FormGroup;

  arrayFlujoForm &#x3D; [];
  // tslint:disable-next-line: variable-name
  id_user: string;
  idProy: string;
  constructor(private formBuilder: FormBuilder,
              private dataProyectService: DataProyectService,
              private router: Router)
  {
    this.id_user &#x3D; localStorage.getItem(&#x27;Auth_token&#x27;);

    this.buildForm();
  }

  buildForm(): any {
    this.proyectForm &#x3D; this.formBuilder.group({
      id_user: [&#x27;&#x27;],
      name: [&#x27;&#x27;, [Validators.required]]
    });
    this.dataFormFirst &#x3D; this.formBuilder.group({
      id_proyc: [&#x27;&#x27;],
      media_first: [&#x27;&#x27;, [Validators.required]],
      var_first: [&#x27;&#x27;, [Validators.required]],
      media_second: [&#x27;&#x27;, [Validators.required]],
      var_second: [&#x27;&#x27;, [Validators.required]],
      year: [&#x27;&#x27;, [Validators.required]],
    });
    this.investForm &#x3D; this.formBuilder.group({
      id_proyc: [&#x27;&#x27;],
      tipo:  [&#x27;invest&#x27;],
      est_pes: [&#x27;&#x27;],
      est_prob: [&#x27;&#x27;],
      est_opt: [&#x27;&#x27;],
      year: [3]
    });
    this.valorRescateForm &#x3D; this.formBuilder.group({
      id_proyc: [&#x27;&#x27;],
      tipo:  [&#x27;rescate&#x27;],
      est_pes: [&#x27;&#x27;],
      est_prob: [&#x27;&#x27;],
      est_opt: [&#x27;&#x27;],
      year: [3]
    });
    this.inflacionForm &#x3D; this.formBuilder.group({
      id_proyc: [&#x27;&#x27;],
      tipo:  [&#x27;tasa&#x27;],
      est_pes: [&#x27;&#x27;],
      est_prob: [&#x27;&#x27;],
      est_opt: [&#x27;&#x27;],
      year: [3]
    });
    this.flujoNetoForm &#x3D; this.formBuilder.group({
      id_proyc: [&#x27;&#x27;],
      año: [&#x27;&#x27;],
      flujo: [&#x27;&#x27;]
    });
  }
  ngOnInit(): void {
  }

  saveName(e: Event): any {
    e.preventDefault();
    // tslint:disable-next-line: no-string-literal
    this.proyectForm.controls[&#x27;id_user&#x27;].setValue(this.id_user);
    this.dataProyectService.saveNameProyect(this.proyectForm.value).subscribe(
      res &#x3D;&gt; {
        localStorage.setItem(&#x27;id_proy&#x27;, res.id);
      }, error &#x3D;&gt; {
        console.log(error);
      }
    );
  }

  getSelect(): void{
    let arrayForm: Array&lt;any&gt; &#x3D; [];
    let arrayFormFujo: Array&lt;any&gt; &#x3D; [];
    const i: number &#x3D; + this.select;
    for (let j &#x3D; 0 ; j &lt; i ; j++) {
      const object &#x3D; {
        label: j + 1,
        formControlName: &#x27;año&#x27;,
        placeholder: &#x27;Flujo Neto&#x27;
      };
      arrayForm.push(object);
      const flujoForm: FormGroup &#x3D; this.formBuilder.group({
        id_user: [&#x27;&#x27;],
        año: [j + 1],
        flujo: [&#x27;&#x27;],
        formControlName: [&#x27;flujo&#x27;]
      });
      flujoForm.controls[&#x27;id_user&#x27;].setValue(this.id_user);
      arrayFormFujo.push(flujoForm);
    }
    this.select &#x3D; &#x27;&#x27;;
    this.objects &#x3D; arrayForm;
    arrayForm &#x3D; [];
    this.arrayFlujoForm &#x3D; arrayFormFujo;
    arrayFormFujo &#x3D; [];
  }

  changeEscenary(escenary: string): any{
    switch (escenary){
      case &#x27;first&#x27;:
        this.hiddenEsceFirst &#x3D; true;
        this.hiddenEsceSecond &#x3D; false;
        break;
      case &#x27;second&#x27;:
        this.hiddenEsceSecond &#x3D; true;
        this.hiddenEsceFirst &#x3D; false;
        break;
    }
  }
  getStart(e: Event): any{
    e.preventDefault();
    this.idProy &#x3D; localStorage.getItem(&#x27;id_proy&#x27;);
    // tslint:disable-next-line: no-string-literal
    this.dataFormFirst.controls[&#x27;id_proyc&#x27;].setValue(this.idProy);
    this.dataProyectService.saveDataFirstProyect(this.dataFormFirst.value).subscribe(
      res &#x3D;&gt; {
        localStorage.setItem(&#x27;id_dataFirst&#x27;, res.id);
        localStorage.setItem(&#x27;option&#x27;, &#x27;first&#x27;);
        this.router.navigateByUrl(&#x27;/core/home&#x27;, { skipLocationChange: true }).then(() &#x3D;&gt; {
          this.router.navigate([&#x27;core/result/proyect-result&#x27;]);
        });
      }, error &#x3D;&gt; {
        console.log(error);
      }
    );
  }
  startSimulation(): any {
    this.idProy &#x3D; localStorage.getItem(&#x27;id_proy&#x27;);
    this.investForm.controls[&#x27;id_proyc&#x27;].setValue(this.idProy);
    this.valorRescateForm.controls[&#x27;id_proyc&#x27;].setValue(this.idProy);
    this.inflacionForm.controls[&#x27;id_proyc&#x27;].setValue(this.idProy);
    console.log(this.investForm.value);
    console.log(this.valorRescateForm.value);
    console.log(this.inflacionForm.value);
    this.dataProyectService.saveDataSecondProyect(this.investForm.value).subscribe(
      res &#x3D;&gt; {
        console.log(res);
      }, error &#x3D;&gt; {
        console.log(error);
      }
    );
    this.dataProyectService.saveDataSecondProyect(this.valorRescateForm.value).subscribe(
      res2 &#x3D;&gt; {
        console.log(res2);
      }, error &#x3D;&gt; {
        console.log(error);
      }
    );
    this.dataProyectService.saveDataSecondProyect(this.inflacionForm.value).subscribe(
      res3 &#x3D;&gt; {
        console.log(res3);
      }, error &#x3D;&gt; {
        console.log(error);
      }
    );
    localStorage.setItem(&#x27;option&#x27;, &#x27;second&#x27;);
    this.router.navigateByUrl(&#x27;/core/home&#x27;, { skipLocationChange: true }).then(() &#x3D;&gt; {
      this.router.navigate([&#x27;core/result/proyect-result&#x27;]);
    });
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div class&#x3D;&quot;container&quot;&gt;
  &lt;div class&#x3D;&quot;text-block&quot;&gt;
    &lt;p&gt;El propósito de todo proyecto de inversión es el de &lt;strong&gt;resolver un problema o necesidad, o aprovechar una
        oportunidad&lt;/strong&gt; cuyos efectos beneficiarán a una compañía, grupo de ciudadanos o a la comunidad. El
      reconocimiento del problema o necesidad u oportunidad es el punto de partida para la identificación del proyecto.
      Es preciso &lt;strong&gt;conocer las características específicas del mismo, sus causas y los aspectos que lo
        rodean&lt;/strong&gt; y que pueden ser importantes en el momento de buscar una solución a través de un sistema de
      inversión.&lt;/p&gt;
    &lt;img src&#x3D;&quot;./assets/image/home/img-design.svg&quot; alt&#x3D;&quot;&quot;&gt;
  &lt;/div&gt;
  &lt;div class&#x3D;&quot;content-form&quot;&gt;
    &lt;mat-horizontal-stepper&gt;
      &lt;mat-step label&#x3D;&quot;Datos del Proyecto&quot; [stepControl]&#x3D;&quot;proyectForm&quot; errorMessage&#x3D;&quot;Name is required.&quot;&gt;
        &lt;h1 style&#x3D;&quot;margin-top: 15%;&quot;&gt;¿Cuál es el nombre de tu próxima inversión?&lt;/h1&gt;
        &lt;form [formGroup]&#x3D;&quot;proyectForm&quot; class&#x3D;&quot;forms-first&quot;&gt;
          &lt;mat-form-field&gt;
            &lt;mat-label&gt;Nombre&lt;/mat-label&gt;
            &lt;input type&#x3D;&quot;text&quot; matInput placeholder&#x3D;&quot;Please, enter your name proyect&quot; formControlName&#x3D;&quot;name&quot; required&gt;
          &lt;/mat-form-field&gt;
          &lt;button color&#x3D;&quot;warn&quot; mat-raised-button matStepperNext [disabled]&#x3D;&quot;!proyectForm.valid&quot;
            (click)&#x3D;&quot;saveName($event)&quot;&gt;Siguiente
          &lt;/button&gt;
        &lt;/form&gt;
      &lt;/mat-step&gt;
      &lt;mat-step label&#x3D;&quot;Elección de Escenario&quot;&gt;
        &lt;button mat-button matStepperPrevious&gt;
          &lt;mat-icon&gt;arrow_back&lt;/mat-icon&gt;Atras
        &lt;/button&gt;
        &lt;div class&#x3D;&quot;decide-container&quot;&gt;
          &lt;img class&#x3D;&quot;decide-img&quot; src&#x3D;&quot;./assets/image/home/decide.svg&quot;&gt;
          &lt;button class&#x3D;&quot;decide-btn first&quot; mat-raised-button color&#x3D;&quot;warn&quot; (click)&#x3D;&quot;changeEscenary(&#x27;first&#x27;)&quot;
            matStepperNext&gt;ESCENARIO 1&lt;/button&gt;
          &lt;button class&#x3D;&quot;decide-btn second&quot; mat-raised-button color&#x3D;&quot;warn&quot; (click)&#x3D;&quot;changeEscenary(&#x27;second&#x27;)&quot;
            matStepperNext&gt;ESCENARIO 2&lt;/button&gt;
        &lt;/div&gt;
      &lt;/mat-step&gt;
      &lt;!-- #docregion label --&gt;
      &lt;mat-step *ngIf&#x3D;&quot;hiddenEsceFirst&quot; label&#x3D;&quot;Datos de entrada&quot;&gt;
        &lt;button mat-button matStepperPrevious&gt;
          &lt;mat-icon&gt;arrow_back&lt;/mat-icon&gt;Atras
        &lt;/button&gt;
        &lt;h1&gt;Primer Escenario&lt;/h1&gt;
        &lt;form [formGroup]&#x3D;&quot;dataFormFirst&quot; class&#x3D;&quot;forms-first&quot;&gt;
          &lt;h4&gt;Inversión Inicial&lt;/h4&gt;
          &lt;div class&#x3D;&quot;investment-data&quot;&gt;
            &lt;mat-form-field&gt;
              &lt;mat-label&gt;Media&lt;/mat-label&gt;
              &lt;input formControlName&#x3D;&quot;media_first&quot; type&#x3D;&quot;number&quot; matInput&gt;
            &lt;/mat-form-field&gt;
            &lt;mat-form-field&gt;
              &lt;mat-label&gt;Varianza&lt;/mat-label&gt;
              &lt;input formControlName&#x3D;&quot;var_first&quot; type&#x3D;&quot;number&quot; matInput&gt;
            &lt;/mat-form-field&gt;
          &lt;/div&gt;
          &lt;h4&gt;Flujo neto en el perido t&lt;/h4&gt;
          &lt;div class&#x3D;&quot;investment-data&quot;&gt;
            &lt;mat-form-field&gt;
              &lt;mat-label&gt;Media&lt;/mat-label&gt;
              &lt;input formControlName&#x3D;&quot;media_second&quot; type&#x3D;&quot;number&quot; matInput&gt;
            &lt;/mat-form-field&gt;
            &lt;mat-form-field&gt;
              &lt;mat-label&gt;Varianza&lt;/mat-label&gt;
              &lt;input formControlName&#x3D;&quot;var_second&quot; type&#x3D;&quot;number&quot; matInput&gt;
            &lt;/mat-form-field&gt;
          &lt;/div&gt;
          &lt;mat-form-field&gt;
            &lt;mat-label&gt;Flujo neto en el periodo t (Años)&lt;/mat-label&gt;
            &lt;input formControlName&#x3D;&quot;year&quot; type&#x3D;&quot;number&quot; matInput&gt;
          &lt;/mat-form-field&gt;
          &lt;button mat-raised-button color&#x3D;&quot;warn&quot; (click)&#x3D;&quot;getStart($event)&quot;&gt;Comenzar Simulación&lt;/button&gt;
        &lt;/form&gt;
      &lt;/mat-step&gt;
      &lt;mat-step *ngIf&#x3D;&quot;hiddenEsceSecond&quot; label&#x3D;&quot;Datos de entrada&quot;&gt;
        &lt;div class&#x3D;&quot;content-father&quot;&gt;
          &lt;button mat-button matStepperPrevious&gt;
            &lt;mat-icon&gt;arrow_back&lt;/mat-icon&gt;Atras
          &lt;/button&gt;
          &lt;h1&gt;Configura tus datos de entrada&lt;/h1&gt;
          &lt;!-- #enddocregion label --&gt;
          &lt;div class&#x3D;&quot;form-content&quot;&gt;
            &lt;form class&#x3D;&quot;second-escenary__forms&quot; [formGroup]&#x3D;&quot;investForm&quot;&gt;
              &lt;mat-label style&#x3D;&quot;justify-content: center;&quot;&gt;Inversion Inicial&lt;/mat-label&gt;
              &lt;mat-form-field class&#x3D;&quot;input-second__form&quot;&gt;
                &lt;mat-label&gt;Estimación pesimista ($)&lt;/mat-label&gt;
                &lt;input type&#x3D;&quot;number&quot; formControlName&#x3D;&quot;est_pes&quot; matInput required&gt;
              &lt;/mat-form-field&gt;
              &lt;mat-form-field class&#x3D;&quot;input-second__form&quot;&gt;
                &lt;mat-label&gt;Estimación mas probable ($)&lt;/mat-label&gt;
                &lt;input type&#x3D;&quot;number&quot; formControlName&#x3D;&quot;est_prob&quot; matInput required&gt;
              &lt;/mat-form-field&gt;
              &lt;mat-form-field class&#x3D;&quot;input-second__form&quot;&gt;
                &lt;mat-label&gt;Estimación optimista ($)&lt;/mat-label&gt;
                &lt;input type&#x3D;&quot;number&quot; formControlName&#x3D;&quot;est_opt&quot; matInput required&gt;
              &lt;/mat-form-field&gt;
            &lt;/form&gt;
            &lt;form class&#x3D;&quot;second-escenary__forms&quot; [formGroup]&#x3D;&quot;valorRescateForm&quot;&gt;
              &lt;mat-label&gt;Valor de Rescate&lt;/mat-label&gt;
              &lt;mat-form-field class&#x3D;&quot;input-second__form&quot;&gt;
                &lt;mat-label&gt;Estimación pesimista ($)&lt;/mat-label&gt;
                &lt;input type&#x3D;&quot;number&quot;  formControlName&#x3D;&quot;est_pes&quot; matInput required&gt;
              &lt;/mat-form-field&gt;
              &lt;mat-form-field class&#x3D;&quot;input-second__form&quot;&gt;
                &lt;mat-label&gt;Estimación mas probable ($)&lt;/mat-label&gt;
                &lt;input type&#x3D;&quot;number&quot;  formControlName&#x3D;&quot;est_prob&quot; matInput required&gt;
              &lt;/mat-form-field&gt;
              &lt;mat-form-field class&#x3D;&quot;input-second__form&quot;&gt;
                &lt;mat-label&gt;Estimación optimista ($)&lt;/mat-label&gt;
                &lt;input type&#x3D;&quot;number&quot;  formControlName&#x3D;&quot;est_opt&quot; matInput required&gt;
              &lt;/mat-form-field&gt;
            &lt;/form&gt;
            &lt;form class&#x3D;&quot;second-escenary__forms&quot; [formGroup]&#x3D;&quot;inflacionForm&quot;&gt;
              &lt;mat-label&gt;Tasa de Inflación&lt;/mat-label&gt;
              &lt;mat-form-field class&#x3D;&quot;input-second__form&quot;&gt;
                &lt;mat-label&gt;Estimación pesimista (%)&lt;/mat-label&gt;
                &lt;input type&#x3D;&quot;number&quot; formControlName&#x3D;&quot;est_pes&quot; matInput required&gt;
              &lt;/mat-form-field&gt;
              &lt;mat-form-field class&#x3D;&quot;input-second__form&quot;&gt;
                &lt;mat-label&gt;Estimación mas probable (%)&lt;/mat-label&gt;
                &lt;input type&#x3D;&quot;number&quot; formControlName&#x3D;&quot;est_prob&quot; matInput required&gt;
              &lt;/mat-form-field&gt;
              &lt;mat-form-field class&#x3D;&quot;input-second__form&quot;&gt;
                &lt;mat-label&gt;Estimación optimista (%)&lt;/mat-label&gt;
                &lt;input type&#x3D;&quot;number&quot; formControlName&#x3D;&quot;est_opt&quot; matInput required&gt;
              &lt;/mat-form-field&gt;
            &lt;/form&gt;
            &lt;div *ngIf&#x3D;&quot;true&quot;&gt;
              &lt;h3&gt;Flujo neto en el periodo t (Años)&lt;/h3&gt;
              &lt;mat-form-field appearance&#x3D;&quot;fill&quot;&gt;
                &lt;mat-label&gt;Numero de años&lt;/mat-label&gt;
                &lt;mat-select [(value)]&#x3D;&quot;select&quot;&gt;
                  &lt;mat-option *ngFor&#x3D;&quot;let option of options&quot; value&#x3D;{{option.value}} (click)&#x3D;&quot;getSelect()&quot;&gt;
                    {{option.label}}
                  &lt;/mat-option&gt;
                &lt;/mat-select&gt;
              &lt;/mat-form-field&gt;
            &lt;/div&gt;
            &lt;div class&#x3D;&quot;form-table&quot; *ngIf&#x3D;&quot;true&quot;&gt;
              &lt;mat-list style&#x3D;&quot;display: flex;flex-direction: column;&quot;&gt;
                &lt;mat-list-item&gt;Año&lt;/mat-list-item&gt;
                &lt;mat-divider&gt;&lt;/mat-divider&gt;
                &lt;mat-form-field *ngFor&#x3D;&quot;let object of objects&quot;&gt;
                  &lt;input matInput disabled value&#x3D;{{object.label}}&gt;
                &lt;/mat-form-field&gt;
                &lt;mat-divider&gt;&lt;/mat-divider&gt;
              &lt;/mat-list&gt;
              &lt;mat-list&gt;
                &lt;mat-list-item&gt;Flujo Neto&lt;/mat-list-item&gt;
                &lt;mat-divider&gt;&lt;/mat-divider&gt;
                &lt;form [formGroup]&#x3D;&quot;flujoNetoForm&quot; *ngFor&#x3D;&quot;let flujoForm of arrayFlujoForm&quot;&gt;
                  &lt;mat-form-field&gt;
                    &lt;input type&#x3D;&quot;number&quot; formControlName&#x3D;&quot;flujo&quot; matInput&gt;
                  &lt;/mat-form-field&gt;
                &lt;/form&gt;
              &lt;/mat-list&gt;
            &lt;/div&gt;
          &lt;/div&gt;
          &lt;div class&#x3D;&quot;btn-stepper&quot;&gt;
            &lt;button 
              class&#x3D;&quot;btn-next&quot;
              style&#x3D;&quot;width: 50%; margin: auto;&quot;
              mat-raised-button matStepperNext
              (click)&#x3D;&quot;startSimulation()&quot;
            &gt;Comenzar Simulación&lt;/button&gt;
          &lt;/div&gt;
        &lt;/div&gt;
      &lt;/mat-step&gt;
    &lt;/mat-horizontal-stepper&gt;
  &lt;/div&gt;
&lt;/div&gt;</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./home.component.css</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.container {
  width: 100%;
  height: 90%;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
}

.text-block {
  width: 35%;
  padding: 20px;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
}

.text-block p {
  font-style: normal;
  font-weight: 300;
  font-size: 1rem;
  line-height: 24px;
  /* or 171% */
  letter-spacing: 0.03em;
}

.content-form {
  width: 65%;
}

.form-field {
  margin-right: 10px;
  width: 200px;
}

h1 {
  text-align: center;
}

::ng-deep .mat-step-header .mat-step-icon-selected {
  background-color: #EE4540;
}

::ng-deep .mat-step-header .mat-step-icon-selected:active {
  background: #EE4540;
}

::ng-deep .mat-step-header .mat-step-icon-state-edit {
  background-color: #EE4540;
}

::ng-deep .mat-form-field {
  margin-bottom: 20px;

}

.btn-first-stepper {
  display: flex;
  justify-content: flex-end;
}

.btn-next {
  background: #EE4540;
  color: #ffffff;
  width: 25%;
}

.btn-stepper {
  display: flex;
  justify-content: space-between;
}

.btn-previous {
  color: #EE4540;
  position: absolute;
  top: 123px;
}

.label-content {
  width: 700px;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  margin-left: 164px;
}

.form-content {
  width: 100%;
}

.form__input-tittle {
  width: 20%;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
}

.mat-label__content-input {
  /* margin: 20px; */
  /* margin: 25px; */
  margin: 5px 0px 0px 0px;
  padding: 15px;
  /* padding: 15px; */
}

.first-data__form {
  width: 80%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-around;
}

mat-horizontal-stepper {
  padding: 20px;
  height: 600px;
  overflow-y: scroll;
  overflow-x: hidden;
}

::-webkit-scrollbar {
  width: 15px;
}

::-webkit-scrollbar-track {
  background: #801336;
}

::-webkit-scrollbar-thumb {
  background: #EE4540;
  border-radius: 12px;
}

::-webkit-scrollbar-track {
  background: #801336;
}

.form-table {
  width: 100%;
  display: flex;
  flex-direction: row;
  /* justify-content: space-between; */
  margin-bottom: 20px;
}
.mat-list {
  width: 25% ;
  padding: 3px;
}
.forms-first {
  display: flex;
  flex-direction: column;
  width: 50%;
  margin: auto;
}
.decide-img {
  margin: auto;
  width: 70%;
  height: 70%;
}
.decide-container {
  display: flex;
  flex-direction: column;
  width: 100%;
}
.decide-btn {
  position: absolute;
  width: 129.3px;
  height: 130px;
  bottom: 45%;
}
.first {
  right: 39.1%;

  /* transform: skewY(8deg) */
}

.second {
  right: 16.9%;
  /* transform: skewY(-8deg) */
}
.decide-btn:hover {
  background-color: rgb(238, 151, 148);
}

.investment-data {
  width: 100%;
  display: flex;
  flex-direction: row;
}

.second-escenary__forms{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}
.input-second__form{
  width: 200px;
  margin-left: 24px;
}</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div class="container">  <div class="text-block">    <p>El propósito de todo proyecto de inversión es el de <strong>resolver un problema o necesidad, o aprovechar una        oportunidad</strong> cuyos efectos beneficiarán a una compañía, grupo de ciudadanos o a la comunidad. El      reconocimiento del problema o necesidad u oportunidad es el punto de partida para la identificación del proyecto.      Es preciso <strong>conocer las características específicas del mismo, sus causas y los aspectos que lo        rodean</strong> y que pueden ser importantes en el momento de buscar una solución a través de un sistema de      inversión.</p>    <img src="./assets/image/home/img-design.svg" alt="">  </div>  <div class="content-form">    <mat-horizontal-stepper>      <mat-step label="Datos del Proyecto" [stepControl]="proyectForm" errorMessage="Name is required.">        <h1 style="margin-top: 15%;">¿Cuál es el nombre de tu próxima inversión?</h1>        <form [formGroup]="proyectForm" class="forms-first">          <mat-form-field>            <mat-label>Nombre</mat-label>            <input type="text" matInput placeholder="Please, enter your name proyect" formControlName="name" required>          </mat-form-field>          <button color="warn" mat-raised-button matStepperNext [disabled]="!proyectForm.valid"            (click)="saveName($event)">Siguiente          </button>        </form>      </mat-step>      <mat-step label="Elección de Escenario">        <button mat-button matStepperPrevious>          <mat-icon>arrow_back</mat-icon>Atras        </button>        <div class="decide-container">          <img class="decide-img" src="./assets/image/home/decide.svg">          <button class="decide-btn first" mat-raised-button color="warn" (click)="changeEscenary(\'first\')"            matStepperNext>ESCENARIO 1</button>          <button class="decide-btn second" mat-raised-button color="warn" (click)="changeEscenary(\'second\')"            matStepperNext>ESCENARIO 2</button>        </div>      </mat-step>      <!-- #docregion label -->      <mat-step *ngIf="hiddenEsceFirst" label="Datos de entrada">        <button mat-button matStepperPrevious>          <mat-icon>arrow_back</mat-icon>Atras        </button>        <h1>Primer Escenario</h1>        <form [formGroup]="dataFormFirst" class="forms-first">          <h4>Inversión Inicial</h4>          <div class="investment-data">            <mat-form-field>              <mat-label>Media</mat-label>              <input formControlName="media_first" type="number" matInput>            </mat-form-field>            <mat-form-field>              <mat-label>Varianza</mat-label>              <input formControlName="var_first" type="number" matInput>            </mat-form-field>          </div>          <h4>Flujo neto en el perido t</h4>          <div class="investment-data">            <mat-form-field>              <mat-label>Media</mat-label>              <input formControlName="media_second" type="number" matInput>            </mat-form-field>            <mat-form-field>              <mat-label>Varianza</mat-label>              <input formControlName="var_second" type="number" matInput>            </mat-form-field>          </div>          <mat-form-field>            <mat-label>Flujo neto en el periodo t (Años)</mat-label>            <input formControlName="year" type="number" matInput>          </mat-form-field>          <button mat-raised-button color="warn" (click)="getStart($event)">Comenzar Simulación</button>        </form>      </mat-step>      <mat-step *ngIf="hiddenEsceSecond" label="Datos de entrada">        <div class="content-father">          <button mat-button matStepperPrevious>            <mat-icon>arrow_back</mat-icon>Atras          </button>          <h1>Configura tus datos de entrada</h1>          <!-- #enddocregion label -->          <div class="form-content">            <form class="second-escenary__forms" [formGroup]="investForm">              <mat-label style="justify-content: center;">Inversion Inicial</mat-label>              <mat-form-field class="input-second__form">                <mat-label>Estimación pesimista ($)</mat-label>                <input type="number" formControlName="est_pes" matInput required>              </mat-form-field>              <mat-form-field class="input-second__form">                <mat-label>Estimación mas probable ($)</mat-label>                <input type="number" formControlName="est_prob" matInput required>              </mat-form-field>              <mat-form-field class="input-second__form">                <mat-label>Estimación optimista ($)</mat-label>                <input type="number" formControlName="est_opt" matInput required>              </mat-form-field>            </form>            <form class="second-escenary__forms" [formGroup]="valorRescateForm">              <mat-label>Valor de Rescate</mat-label>              <mat-form-field class="input-second__form">                <mat-label>Estimación pesimista ($)</mat-label>                <input type="number"  formControlName="est_pes" matInput required>              </mat-form-field>              <mat-form-field class="input-second__form">                <mat-label>Estimación mas probable ($)</mat-label>                <input type="number"  formControlName="est_prob" matInput required>              </mat-form-field>              <mat-form-field class="input-second__form">                <mat-label>Estimación optimista ($)</mat-label>                <input type="number"  formControlName="est_opt" matInput required>              </mat-form-field>            </form>            <form class="second-escenary__forms" [formGroup]="inflacionForm">              <mat-label>Tasa de Inflación</mat-label>              <mat-form-field class="input-second__form">                <mat-label>Estimación pesimista (%)</mat-label>                <input type="number" formControlName="est_pes" matInput required>              </mat-form-field>              <mat-form-field class="input-second__form">                <mat-label>Estimación mas probable (%)</mat-label>                <input type="number" formControlName="est_prob" matInput required>              </mat-form-field>              <mat-form-field class="input-second__form">                <mat-label>Estimación optimista (%)</mat-label>                <input type="number" formControlName="est_opt" matInput required>              </mat-form-field>            </form>            <div *ngIf="true">              <h3>Flujo neto en el periodo t (Años)</h3>              <mat-form-field appearance="fill">                <mat-label>Numero de años</mat-label>                <mat-select [(value)]="select">                  <mat-option *ngFor="let option of options" value={{option.value}} (click)="getSelect()">                    {{option.label}}                  </mat-option>                </mat-select>              </mat-form-field>            </div>            <div class="form-table" *ngIf="true">              <mat-list style="display: flex;flex-direction: column;">                <mat-list-item>Año</mat-list-item>                <mat-divider></mat-divider>                <mat-form-field *ngFor="let object of objects">                  <input matInput disabled value={{object.label}}>                </mat-form-field>                <mat-divider></mat-divider>              </mat-list>              <mat-list>                <mat-list-item>Flujo Neto</mat-list-item>                <mat-divider></mat-divider>                <form [formGroup]="flujoNetoForm" *ngFor="let flujoForm of arrayFlujoForm">                  <mat-form-field>                    <input type="number" formControlName="flujo" matInput>                  </mat-form-field>                </form>              </mat-list>            </div>          </div>          <div class="btn-stepper">            <button               class="btn-next"              style="width: 50%; margin: auto;"              mat-raised-button matStepperNext              (click)="startSimulation()"            >Comenzar Simulación</button>          </div>        </div>      </mat-step>    </mat-horizontal-stepper>  </div></div></div>'
    var COMPONENTS = [{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'CoreComponent', 'selector': 'app-core'},{'name': 'FooterComponent', 'selector': 'app-footer'},{'name': 'HeaderComponent', 'selector': 'app-header'},{'name': 'HomeComponent', 'selector': 'app-home'},{'name': 'LandingComponent', 'selector': 'app-landing'},{'name': 'LoginComponent', 'selector': 'app-login'},{'name': 'ProyectResultComponent', 'selector': 'app-proyect-result'},{'name': 'ResultComponent', 'selector': 'app-result'},{'name': 'SignUpComponent', 'selector': 'app-sign-up'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'HomeComponent'};
</script>
<script src="../js/tree.js"></script>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'HomeComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
